#!/bin/bash

# download weights
wget https://github.com/connormcmonigle/seer-training/releases/download/0x319651dd/save.bin

# clone
git clone https://github.com/connormcmonigle/seer-nnue

# compile
cd seer-nnue/build/

read -p "Download done, press enter to continue"

g++ --std=c++17 ../src/seer.cc -o seer -I ../include/ -Ofast -g -DNDEBUG -fconstexpr-ops-limit=1000000000 -march=native -mtune=native -fopenmp -Wall -Wextra -lpthread

EXE=$PWD/seer
cd ../..
NET=$PWD/save.bin
